Bitcoin Group SE

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/bitcoin-group-se/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-group-se/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1640908800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://bitcoingroup.com/images/PDF/FB_2021/BitcoinGroup_GB2021_EN.pdf",
    "holding_balance": 3768.0,
    "holding_net_change": 3768.0,
    "transaction_value_usd": 174567457.7443226,
    "average_entry_value_usd": 3742.23,
    "transaction_value_calculated": true
  },
  {
    "date": 1656547200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://bitcoingroup.com/images/PDF/FB_2022/BitcoinGroup_HJB2022_EN.pdf",
    "holding_balance": 3589.0,
    "holding_net_change": -179.0,
    "transaction_value_usd": 2309836.0,
    "average_entry_value_usd": -12904.11,
    "transaction_value_calculated": false
  },
  {
    "date": 1739059200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/HODL15Capital/status/1888751095318552896",
    "holding_balance": 3605.0,
    "holding_net_change": 16.0,
    "transaction_value_usd": 1543646.08,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-group-se/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    3605.0
  ],
  [
    1779062400000,
    3605.0
  ],
  [
    1779148800000,
    3605.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-group-se/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    279134645.3
  ],
  [
    1779062400000,
    277384093.35
  ],
  [
    1779148800000,
    276719836.05
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-group-se/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 30.34,
    "date": "2026-05-15",
    "high": 32.3,
    "open": 31.96,
    "close": 30.34,
    "volume": 12510
  },
  {
    "low": 27.9,
    "date": "2026-05-18",
    "high": 30.58,
    "open": 29.98,
    "close": 28.52,
    "volume": 43414
  },
  {
    "low": 28.78,
    "date": "2026-05-19",
    "high": 30.02,
    "open": 29.08,
    "close": 29.1,
    "volume": 34250
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-group-se/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 23.884,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-group-se/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -11.33,
  "six_month_return": -12.82,
  "three_month_return": 3.49
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-group-se/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 192.3,
  "total_btc_percentage": 0.017,
  "share_price_change_state": "up"
}